<template>
  <div>
    <div class="bigBox" :style="{ height: bigHeight }">

      <div class="right">
        <!-- 表格 -->
        <div class="xqbox">
          <div class="box_boder top">
            双控领导小组主任：{{ fromObj.officechairman }}
          </div>
          <div class="icon_box"><el-icon>
              <Bottom style="" />
            </el-icon>
          </div>
          <div class="box_boder wrap">
            双控领导小组副主任：{{ fromObj.pscexecutivedeputy }}
            <div>双控领导小组副主任：{{ fromObj.officevicedirector }}</div>
          </div>
          <div class="icon_box"><el-icon>
              <Bottom style="" />
            </el-icon>
          </div>
          <div class="box_boder wrap">
            双控领导小组成员：{{ fromObj.officemembers }}
          </div>
          <div class="icon_box"><el-icon>
              <Bottom style="" />
            </el-icon>
          </div>
          <div class="box_boder wrap">
            双控领导小组办公室主任：{{ fromObj.pscchairman }}
            <div>办公室成员：{{ fromObj.pscmembers }}</div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
  
<script setup>
// 引入
import { onMounted, ref, defineEmits, reactive } from "vue";
import * as MOSTY from "@/components/MyComponents/index";
import { filterYear } from "@/utils/auth.js";
import { getApi, deleteApi, putApi } from "@/api/tobAcco_api.js";
import { useRouter, useRoute } from 'vue-router'
const route = useRoute()
let data = reactive({
  orgcode: route.query
})
// 数据
const bigHeight = ref(); //整个高度
const emits = defineEmits(["close"]);

const fromObj = ref([]);
const registration = (row) => { };
const listQuery = ref({});
// 树的展开与折叠
const iconChange = ref(true);
const lfBoxWid = ref("300px");
let orgcode = localStorage.getItem("anorgcode");

// 方法

const bigHeightFn = () => {
  bigHeight.value = window.innerHeight - 147 + "px";
};

const CloseEvent = () => {
  emits("close");
};

const params = reactive({
  orgcode: data.orgcode.orgcode
})

function getawhtz () {
  // getCommittee/orgcode]"
  getApi(params, `/mosty-jcgl/secureagency/getCommittee`).then((res) => {

    if (res) {
      fromObj.value = res;
    }
  })
}

onMounted(() => {
  bigHeightFn();
  getawhtz();
});
</script>
  
<style lang="scss" scoped>
.bigBox {
  display: flex;

  .right {
    padding: 0 10px;
    // width: 100%;
    margin: 20px auto;

    .xqbox {
      width: 100%;
      margin: 20px auto;
      text-align: center;

      .box_boder {
        padding: 10px 20px;
        line-height: 32px;
        background: var(--el-table-cell-bmx-backgroundcolor);
        border: 2px dashed var(--el-color-primary);
        font-size: 18px;
        color: #0e1e04;
        border-radius: 5px;
        text-align: center;
        margin: 0 auto;
      }

      .wrap {
        width: 500px;
        word-wrap: break-word;
      }

      .top {
        width: 320px;
      }

      .icon_box {
        text-align: center;

        .el-icon {
          height: 4em;
          width: 7em;
          color: #939292;

          > svg {
            height: 4em;
            width: 7em;
          }
        }
      }
    }
  }
}
</style>